# $Revision: 1.10 $Date: 2005/05/21 17:19:30 $
%define 	modulename pam_pgsql
Summary:	PostgreSQL PAM Module
Summary(pl):	Modu PAM PostgreSQL
Name:		pam-%{modulename}
Version:	0.9.3
Release:	4
Epoch:		0
License:	GPL
Group:		Base
Source0:	http://dl.sourceforge.net/sysauth-pgsql/pam-pgsql-%{version}.tar.gz
# Source0-md5:	6d91662f167c87bf64dd24753181e9e3
Patch0:		%{name}-include.patch
URL:		http://sysauth-pgsql.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRequires:	postgresql-devel
BuildRequires:	postgresql-ecpg-devel
Obsoletes:	pam_pgsql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}/security

%description
PAM PgSQL is a PAM module that uses PostgreSQL database.

%description -l pl
PAM PgSQL jest moduem PAM uywajcym bazy PostgreSQL.

%prep
%setup -q -n pam-pgsql-%{version}
%patch0 -p1
rm -f src/acct.c src/auth.c src/chauth.c src/cred.c src/pam_pgsql.c

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	%{!?debug:--disable-debug} 

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# useless
rm -f $RPM_BUILD_ROOT%{_libdir}/pam_pgsql.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/pam_pgsql.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_pgsql.spec,v $
Revision 1.10  2005/05/21 17:19:30  ankry
- rel. 4

Revision 1.9  2004/12/29 18:30:35  qboosh
- fixed build (libtoolize)

Revision 1.8  2004/12/29 13:19:20  radzio
- force to regenerate .c files from .pgc
- fix pam-pam_pgsql-include.patch
- regenerate configure (form patched configure.in)
- fix install (pam_pgsql -> pam_pgsql.so)
- rel 3
- STBR

Revision 1.7  2004/07/29 20:47:35  qboosh
- /lib/security -> /%{_lib}/security

Revision 1.6  2004/06/15 10:28:59  krolik
- added include patch
- rel. 2.1
- NFY

Revision 1.5  2004/02/19 10:25:55  wiget
- added missing BR
- release 2

Revision 1.4  2003/11/28 09:28:08  qboosh
- Obsoletes without macro, removed BR: sed (already required by rpm-build)

Revision 1.3  2003/11/25 15:37:06  siefca
- adapted def modulename style

Revision 1.2  2003/11/25 14:41:20  siefca
- Epoch added

Revision 1.1  2003/11/25 13:40:21  siefca
- leaded common naming conventions for PAM module packages

Revision 1.5  2003/10/26 08:41:32  leafnode
- another _libdir macro usage

Revision 1.4  2003/10/26 08:36:00  leafnode
- added BR and usage of _libdir macro

Revision 1.3  2003/05/28 13:00:11  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/05/09 09:36:01  qboosh
- new
